schema_version: 1

context:
  name: debugpy
  version: 1.8.15

package:
  name: ${{ name|lower }}
  version: ${{ version }}

source:
  url: https://pypi.org/packages/source/${{ name[0] }}/${{ name }}/${{ name }}-${{ version }}.tar.gz
  sha256: 58d7a20b7773ab5ee6bdfb2e6cf622fdf1e40c9d5aef2857d85391526719ac00

build:
  number: 0

requirements:
  build:
    - if: build_platform != target_platform
      then: python
    - if: build_platform != target_platform
      then: cross-python_${{ target_platform }}
    - ${{ compiler('c') }}
    - ${{ stdlib("c") }}
    - ${{ compiler('cxx') }}
  host:
    - python
    - pip
    - setuptools
  run:
    - python

tests:
  - python:
      imports:
        - debugpy
        - debugpy.adapter
        - debugpy.common
        - debugpy.launcher
        - debugpy.server
  - requirements:
      run:
        - pip
    script:
      - pip check

about:
  license: MIT
  license_file:
    - LICENSE
    - ThirdPartyNotices.txt
  summary: An implementation of the Debug Adapter Protocol for Python
  homepage: https://github.com/Microsoft/debugpy
  repository: https://github.com/microsoft/debugpy

extra:
  recipe-maintainers:
    - jtilly
    - xhochy
